typedef union {
	const char      *v_str;
	double	         v_float;
	int		 v_int;
	gboolean	 v_bool;
	GSList	        *list;

	struct {
		const char *name;
		gboolean    as_new;
	} v_dim_type;

	struct {
		gboolean    is_array;
		GSList     *indices;
	} v_array;
	GBIndex            *v_index;

	const GBExpr	   *expr;
	const GBStatement  *stmt;
	GBObjRef           *objr;
	GBArgDesc          *v_arg;
	GBSelectCase       *v_case;
	GBVar              *v_var;
	
	GBFormItem         *v_form_item;
	GBFormProperty     *v_form_prop;
} YYSTYPE;
#define	NAME	257
#define	STRING	258
#define	FRX	259
#define	FLOAT	260
#define	INTEGER	261
#define	GB_GE	262
#define	GB_LE	263
#define	GB_MOD	264
#define	GB_ARG_ASSIGN	265
#define	GB_IS	266
#define	GB_EQV	267
#define	GB_LIKE	268
#define	GB_IMP	269
#define	GB_AND	270
#define	GB_OR	271
#define	GB_XOR	272
#define	GB_NOT	273
#define	GB_LEXTYPE_ASP	274
#define	GB_LEXTYPE_FILE	275
#define	GB_LEXTYPE_EXPR	276
#define	GB_LEXTYPE_STATEMENTS	277
#define	GB_ACTIVATE	278
#define	GB_ALIAS	279
#define	GB_AS	280
#define	GB_ATTRIBUTE	281
#define	GB_APPEND	282
#define	GB_BASE	283
#define	GB_BEGIN	284
#define	GB_BEEP	285
#define	GB_CALL	286
#define	GB_CASE	287
#define	GB_CLASS	288
#define	GB_CLOSE	289
#define	GB_COMPARE	290
#define	GB_CONST	291
#define	GB_DATE	292
#define	GB_DECLARE	293
#define	GB_DEFTYPE	294
#define	GB_DELETESETTING	295
#define	GB_DIM	296
#define	GB_DO	297
#define	GB_EACH	298
#define	GB_ELSE	299
#define	GB_END	300
#define	GB_ELSE_IF	301
#define	GB_ERASE	302
#define	GB_ERROR	303
#define	GB_EXIT	304
#define	GB_EXPLICIT	305
#define	GB_FALSE	306
#define	GB_FILECOPY	307
#define	GB_FOR	308
#define	GB_FUNCTION	309
#define	GB_GET	310
#define	GB_GLOBAL	311
#define	GB_GOSUB	312
#define	GB_GOTO	313
#define	GB_IF	314
#define	GB_INPUT	315
#define	GB_KILL	316
#define	GB_LSET	317
#define	GB_LET	318
#define	GB_LIB	319
#define	GB_LEN	320
#define	GB_LINE	321
#define	GB_LOAD	322
#define	GB_LOCK	323
#define	GB_LOOP	324
#define	GB_MID	325
#define	GB_MKDIR	326
#define	GB_NAME	327
#define	GB_NEXT	328
#define	GB_ON	329
#define	GB_OPEN	330
#define	GB_OPTION	331
#define	GB_OUTPUT	332
#define	GB_PRINT	333
#define	GB_PRIVATE	334
#define	GB_PROPERTY	335
#define	GB_PUBLIC	336
#define	GB_PUT	337
#define	GB_RSET	338
#define	GB_RANDOM	339
#define	GB_RANDOMIZE	340
#define	GB_REDIM	341
#define	GB_REM	342
#define	GB_RESET	343
#define	GB_RESUME	344
#define	GB_RETURN	345
#define	GB_RMDIR	346
#define	GB_RND	347
#define	GB_SAVESETTING	348
#define	GB_SCALE	349
#define	GB_SEEK	350
#define	GB_SELECT	351
#define	GB_SENDKEYS	352
#define	GB_SET	353
#define	GB_SETATTR	354
#define	GB_STATIC	355
#define	GB_STOP	356
#define	GB_SUB	357
#define	GB_THEN	358
#define	GB_TIME	359
#define	GB_TRUE	360
#define	GB_TYPE	361
#define	GB_UNLOAD	362
#define	GB_UNLOCK	363
#define	GB_VERSION	364
#define	GB_WEND	365
#define	GB_WHILE	366
#define	GB_WIDTH	367
#define	GB_WITH	368
#define	GB_WITH_EVENTS	369
#define	GB_WRITE	370
#define	GB_NEW	371
#define	GB_TO	372
#define	GB_STEP	373
#define	GB_PARAM_ARRAY	374
#define	GB_BYREF	375
#define	GB_BYVAL	376
#define	GB_OPTIONAL	377
#define	GB_NOTHING	378
#define	GB_IN	379
#define	GB_BINARY	380
#define	GB_TEXT	381
#define	GB_DATABASE	382
#define	GB_MODULE	383
#define	GB_UNTIL	384
#define	GB_PRESERVE	385
#define	GB_ASP_START	386
#define	GB_ASP_START_AT	387
#define	GB_ASP_START_EXPR	388
#define	GB_ASP_END	389
#define	GB_BEGIN_PROPERTY	390
#define	GB_END_PROPERTY	391
#define	GB_OBJECT	392
#define	GB_KEEP_LOOKING	393
#define	GB_SPACE_DOT	394
#define	GB_NE	395
#define	UNARY_NEG	396
#define	UNARY_POS	397

